cassandra-client-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Jackson <robe...@promedicalinc.com>
Subject Updating cassandra RubyGem for 0.8 & CQL
Date Sat, 23 Apr 2011 04:58:03 GMT
I have been working on a local fork of the fauna/cassandra rubygem to add support for 0.8.
I am a relative newcomer to Cassandra in general, and working on the internals of the client
has really helped. 

To make sure that I didn't loose any ground with other versions of Cassandra, I updated the
test suite so that it can run tests against 0.6, 0.7, and 0.8. This works by setting a CASSANDRA_VERSION
env variable before calling the normal rake or bin/cassandra_helper scripts. 

Run the cassandra version with: 

CASSANDRA_VERSION=0.8 rake cassandra 

Then you can run the tests with: 

CASSANDRA_VERSION=0.8 rake 

I still have a ways to go with getting all the tests passing, but at this point 0.8 and 0.6
have around 6 failures and 8 errors. (I am struggling with an schema loading issue with 0.7.4.)


I hope to have the tests all passing in the next couple of days, and hopefully we can get
the changes pushed upstream. Then I am going to start fleshing out the CQL version (which
hopefully shouldn't be such a moving target between Cassandra versions). 

I would certainly appreciate any feedback on my work so far. 

https://github.com/rjackson/cassandra/tree/cassandra_0.8 

Robert Jackson 

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message